import { Link } from 'react-router-dom';
import { Button } from './ui/button';

import Logo from '../assets/logo.svg';

export default function Header() {
  return (
    <header>
      <nav className='bg-violet-50 py-2 px-4 md:px-6 lg:px-10 flex items-center justify-between'>
        <Link to='/'>
          <img src={Logo} className='h-16 w-auto' alt='SkillSwap Logo' />
        </Link>

        <ul className='flex items-center gap-8 font-medium'>
          <li>
            <Link to='/authors' className='hover:underline underline-offset-4'>
              Authors
            </Link>
          </li>

          <li>
            <Link to='/profile' className='hover:underline underline-offset-4'>
              Profile
            </Link>
          </li>
        </ul>

        <div className='flex items-center gap-5'>
          <Button asChild>
            <Link to='/login'>Login</Link>
          </Button>
          <Button variant='outline' asChild>
            <Link to='/register'>Register</Link>
          </Button>
        </div>
      </nav>
    </header>
  );
}
