import { StrictMode } from 'react';
import { createRoot } from 'react-dom/client';
import './index.css';

import { createBrowserRouter, RouterProvider } from 'react-router-dom';

// Pages
import App from './App.jsx';
import LoginPage from './pages/Login';
import RegisterPage from './pages/Register';
import LandingPage from './pages/Landing';
import Drawing from './pages/Drawing';
import Painting from './pages/Painting';
import Photography from './pages/Photography';
import Music from './pages/Music';
import Programming from './pages/Programming';
import Authors from './pages/Authors';
import Messages from './pages/Messages';
import Profile from './pages/Profile';

const router = createBrowserRouter([
  {
    path: '/',
    element: <App />,
    children: [
      { path: '/', element: <LandingPage /> },
      {
        path: '/login',
        element: <LoginPage />,
      },
      {
        path: '/register',
        element: <RegisterPage />,
      },
      {
        path: '/drawing',
        element: <Drawing />,
      },
      {
        path: '/painting',
        element: <Painting />,
      },
      {
        path: '/music',
        element: <Music />,
      },

      {
        path: '/programming',
        element: <Programming />,
      },
      {
        path: '/photography',
        element: <Photography />,
      },
      {
        path: '/authors',
        element: <Authors />,
      },
      {
        path: '/messages/:authorId',
        element: <Messages />,
      },
      {
        path: '/profile',
        element: <Profile />,
      },
    ],
  },
]);

createRoot(document.getElementById('root')).render(
  <StrictMode>
    <RouterProvider router={router} />
  </StrictMode>
);
