import {
  Sheet,
  SheetContent,
  SheetDescription,
  SheetHeader,
  SheetTitle,
  SheetTrigger,
} from '@/components/ui/sheet';

import {
  BookA,
  Contrast,
  Ear,
  Highlighter,
  Keyboard,
  Moon,
  PersonStanding,
  Speech,
  Sun,
  Volume2,
  ZoomIn,
} from 'lucide-react';

export default function AccessibilityMenu() {
  return (
    <Sheet>
      <SheetTrigger className='fixed bottom-16 right-8 lg:hidden'>
        <PersonStanding className='h-12 w-12 bg-gray-900 p-1 rounded-full text-white' />
      </SheetTrigger>
      <SheetContent>
        <SheetHeader>
          <SheetTitle className='bg-gray-800 rounded-full text-white mt-5'>
            Accessibility
          </SheetTitle>
          <SheetDescription className='sr-only'>
            Accessibility Menu containing options to change contrast, font size,
            brightness, and more.
          </SheetDescription>
          <div className='grid grid-cols-2 gap-6 pt-4'>
            <div className='inline-flex flex-col items-center gap-y-2 p-1 border border-gray-400 rounded'>
              <Ear className='size-10' />
              <p className='text-xs'>Screen Reader Adjustment</p>
            </div>

            <div className='inline-flex flex-col items-center gap-y-2 p-1 border border-gray-400 rounded'>
              <Keyboard className='size-10' />
              <p className='text-xs'>Keyboard Navigation</p>
            </div>

            <div className='inline-flex flex-col items-center gap-y-2 p-1 border border-gray-400 rounded'>
              <Volume2 className='size-10' />
              <p className='text-xs'>Text Reader</p>
            </div>

            <div className='inline-flex flex-col items-center gap-y-2 p-1 border border-gray-400 rounded'>
              <Speech className='size-10' />
              <p className='text-xs'>Voice Commands</p>
            </div>

            <div className='inline-flex flex-col items-center gap-y-2 p-1 border border-gray-400 rounded'>
              <Moon className='size-10' />
              <p className='text-xs'>Dark High Contrast</p>
            </div>

            <div className='inline-flex flex-col items-center gap-y-2 p-1 border border-gray-400 rounded'>
              <Sun className='size-10' />
              <p className='text-xs'>Bright High Contrast</p>
            </div>

            <div className='inline-flex flex-col items-center gap-y-2 p-1 border border-gray-400 rounded'>
              <Contrast className='size-10' />
              <p className='text-xs'>Contrast Mode</p>
            </div>

            <div className='inline-flex flex-col items-center gap-y-2 p-1 border border-gray-400 rounded'>
              <ZoomIn className='size-10' />
              <p className='text-xs'>Text Magnifier</p>
            </div>

            <div className='inline-flex flex-col items-center gap-y-2 p-1 border border-gray-400 rounded'>
              <Highlighter className='size-10' />
              <p className='text-xs'>Highlight Link</p>
            </div>

            <div className='inline-flex flex-col items-center gap-y-2 p-1 border border-gray-400 rounded'>
              <BookA className='size-10' />
              <p className='text-xs'>Dictionary</p>
            </div>
          </div>
        </SheetHeader>
      </SheetContent>
    </Sheet>
  );
}
